function plotCurves44(musArr44, cntArr44, corArr12, corStrArr, startClick,  antClick)

    % musArr44
    %  || sinClickArr44
    %  | clickArr12_44
    %  cntArr44 ch1
    %  cntArr44 ch2
    
    close;
    
    clickArr = str2double(corStrArr(:, 1));
    clickArr12 = corArr12(:, 1);
    
    curveHoyde = 0.4;
    curveDist = 1.2;
    curveDistOff = curveDist/2;
    
    fs = 44100;
    musArr44 = (musArr44(:, 1) + musArr44(:, 2))/2;
    
    endClick = startClick + antClick;
    
    if startClick == 0
        startSampl = 1;
    else
        startSampl = floor(fs*clickArr(startClick)/1000); 
    end
    
    if startClick + antClick > size(clickArr, 1)
        endSampl = size(clickArr, 1);
    else
        endSampl = min([floor(fs*clickArr(startClick + antClick)/1000) size(musArr44, 1)]); 
    end
    
    windBredde = endSampl - startSampl;
    
    sz = get(0,'ScreenSize'); % 1 1 bredde høyde
    h = figure('KeyPressFcn', @runGui);%'Name', 'Curves', 'NumberTitle', 'off');
    set(h, 'MenuBar', 'none');
    set(h, 'position', [0 sz(4)-sz(4)/2.5 sz(3) sz(4)/2.5]); % venstre bunn bredde høyde
    set(h,'color', [0.1 0.1 0.1]);
 
    % Musikk
    plot([startSampl : endSampl], curveHoyde*musArr44(startSampl : endSampl) - curveDist + curveDistOff );
    hold on;
    % Kontroll kurver
    plot([startSampl : endSampl], curveHoyde*cntArr44(startSampl : endSampl, 2) -2*curveDist + curveDistOff  );
    plot([startSampl : endSampl], curveHoyde*cntArr44(startSampl : endSampl, 1) -3*curveDist + curveDistOff  );
    
    set(gca, 'Position', [0.0300 0.03 0.95 0.95]); % venstre bunn høyre høyde
    axis tight;
    axis([startSampl endSampl -8 0]);
    axis off;
    
    % Click linjer og nr text  
    for i = max([startClick 1]) : endClick
        samplXval = floor(fs*clickArr(i)/1000);
        line([samplXval samplXval], [-3.5 1], 'color', [1 0 0]);
        text(samplXval + windBredde/500, -1.1, num2str(i), 'color', [1 0 0]); % plotte click nummer 
    end
    
    % Click12 linjer  
    for i = max([startClick 1]) - 1 : endClick
        for ii = 1 : 12
            samplXval = floor(fs*clickArr12(i*12 + ii)/1000);
            line([samplXval samplXval], [-3.3 -1.4], 'color', [0.8 0 0], 'LineStyle', ':');
        end
    end    
    
    % COR txt og agent
    oldCom2 = "";
    for i = max([startClick 1]) - 1 : endClick
        samplXval = floor(fs*clickArr(i+1)/1000);
        c = corStrArr(i+1, 3); % movX
        text(samplXval + windBredde/500, -3.9, c, 'color', [.3 0.3 1]);
        c = corStrArr(i+1, 4); % comm nivå 1
        text(samplXval + windBredde/500, -4.2, c, 'color', [1 1 .1]);
        c = corStrArr(i+1, 5); % comm nivå 2
        text(samplXval + windBredde/500, -4.5, c, 'color', [1 0.5 .1]); 
        if c ~= "" && c == oldCom2
            line([floor(fs*clickArr(i+1)/1000) floor(fs*clickArr(i)/1000)], [-4.8 -4.8], 'color', [0.4 0.4 0.4]); % Linje under Com2
        end
        oldCom2 = c;
        for ii = 1 : 12 % 1-9
            samplXval = floor(fs*clickArr12(i*12 + ii)/1000);
            c1 = corArr12(i*12 + ii, 2);
            if c1 > 0
                text(samplXval + windBredde/500, -3*curveDist + curveDistOff*2, num2str(c1), 'color', [1 0 0]); % u d 0
            end
            c2 = corArr12(i*12 + ii, 3);
            if c2 > 0
                text(samplXval + windBredde/500, -4*curveDist + curveDistOff*2, num2str(c2), 'color', [1 0 0]); % u d 0  
            end
            
            % agent
            if c1 > 0 || c2 > 0
                plotAgent(cntArr44(samplXval, 1), cntArr44(samplXval, 2), samplXval + windBredde/500);
            end
        end        
    end
    
    function runGui(src, event)
        
        % start gui
        if event.Key == 'g'
                figure(1);
    
    clickArr = str2double(corStrArr(:, 1));
    
    fs = 44100;

    b = 0; 
    while  b ~= 113 % q
        ax = axis(); % x y b t
        [x y b] = ginput(1);
        clickStart = findNermestClick(ax(1), corStrArr);
        clickEnd = findNermestClick(ax(2), corStrArr);
        clickBredde = clickEnd - clickStart;
        
        if b == 28 % pil V
            clickStart = clickStart - clickBredde + 1;
            clickStart = max([clickStart 0]);
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end
        if b == 124 % <
            clickStart = clickStart - floor(clickBredde/2) + 1;
            clickStart = max([clickStart 0]);
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end        
        if b == 29 % pil H
            clickStart = clickStart + clickBredde - 1;
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end
        if b == 65447 % <
            clickStart = clickStart + floor(clickBredde/2) - 1;
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end        
        
        if b == 31 % pil ned zoom in
            clickBredde = floor(clickBredde/2);
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end
        if b == 30 % pil opp zoom out
            clickBredde = floor(2*clickBredde);
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end
        
        if b == 112 % p play
            sStart = floor(fs*clickArr(clickStart)/1000);
            sEnd = floor(fs*clickArr(clickEnd)/1000);
            musClickSum = 0.5* (0.4*sinClickArr44(sStart:sEnd, :) + musArr44(sStart:sEnd, :));
            player = audioplayer(musClickSum, fs); playblocking(player);
        end
        
        if b == 114 % r reload cor
            corStrArr = corReadFile('work/cor_Zstd_agent1.txt');
            corArr12 = makeCorArr12(corStrArr);
            sinClickArr44 = makeSinClickArr44(corStrArr, musArr44);              % (Mx2) stereo sinus clicks
            sinClickArr44 = addCommentToSinClick44(sinClickArr44, corStrArr);
            cntArr44 = makeCntArr44(corArr12, size(musArr44, 1));  % (M*2x1) 44100Hz kontroll kurver
            
            plotCurves44(musArr44, cntArr44, corArr12, corStrArr, clickStart, clickBredde);
        end        
        
    end
        end
        
    end
    
end
